Bulk create block list entry
curl --request POST \
--url https://api.instantly.ai/api/v2/block-lists-entries/bulk-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bl_values": [
"example.com",
"user@example.com"
]
}
'import requests
url = "https://api.instantly.ai/api/v2/block-lists-entries/bulk-create"
payload = { "bl_values": ["example.com", "user@example.com"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bl_values: ['example.com', 'user@example.com']})
};
fetch('https://api.instantly.ai/api/v2/block-lists-entries/bulk-create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/block-lists-entries/bulk-create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bl_values\": [\n \"example.com\",\n \"user@example.com\"\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/block-lists-entries/bulk-create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bl_values' => [
'example.com',
'user@example.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/block-lists-entries/bulk-create"
payload := strings.NewReader("{\n \"bl_values\": [\n \"example.com\",\n \"user@example.com\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "019f985c-6334-7813-89f0-67d4017fc0de",
"timestamp_created": "2026-07-25T08:20:19.380Z",
"organization_id": "019f985c-6334-7813-89f0-67d5eb1feec6",
"bl_value": "example.com",
"is_domain": true
}
],
"valid_count": 1,
"invalid_count": 0
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Block List Entry
Bulk create block list entry
Requires one of the following scopes: block_list_entries:create, block_list_entries:all, all:create, all:all
POST
/
api
/
v2
/
block-lists-entries
/
bulk-create
Bulk create block list entry
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Domains or emails to block
Domains or emails to block
List of domains or emails to block
Required array length:
1 - 1000 elementsExample:
["example.com", "user@example.com"]
⌘I